---
 drivers/md/dm-thin.c |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

Index: linux-3.1-rc9/drivers/md/dm-thin.c
===================================================================
--- linux-3.1-rc9.orig/drivers/md/dm-thin.c
+++ linux-3.1-rc9/drivers/md/dm-thin.c
@@ -1257,7 +1257,7 @@ static void do_worker(struct work_struct
 	process_deferred_bios(pool);
 }
 
-static void defer_bio(struct thin_c *tc, struct bio *bio)
+static void thin_defer_bio(struct thin_c *tc, struct bio *bio)
 {
 	unsigned long flags;
 	struct pool *pool = tc->pool;
@@ -1273,8 +1273,8 @@ static void defer_bio(struct thin_c *tc,
  * Non-blocking function designed to be called from the target's map
  * function.
  */
-static int bio_map(struct dm_target *ti, struct bio *bio,
-		   union map_info *map_context)
+static int thin_bio_map(struct dm_target *ti, struct bio *bio,
+			union map_info *map_context)
 {
 	int r;
 	struct thin_c *tc = ti->private;
@@ -1288,7 +1288,7 @@ static int bio_map(struct dm_target *ti,
 	map_context->ptr = tc;
 
 	if (bio->bi_rw & (REQ_FLUSH | REQ_FUA)) {
-		defer_bio(tc, bio);
+		thin_defer_bio(tc, bio);
 		return DM_MAPIO_SUBMITTED;
 	}
 
@@ -1314,7 +1314,7 @@ static int bio_map(struct dm_target *ti,
 			 * More distant ancestors are irrelevant, the
 			 * shared flag will be set in their case.
 			 */
-			defer_bio(tc, bio);
+			thin_defer_bio(tc, bio);
 			r = DM_MAPIO_SUBMITTED;
 		} else {
 			remap(tc, bio, result.block);
@@ -1324,7 +1324,7 @@ static int bio_map(struct dm_target *ti,
 
 	case -ENODATA:
 	case -EWOULDBLOCK:
-		defer_bio(tc, bio);
+		thin_defer_bio(tc, bio);
 		r = DM_MAPIO_SUBMITTED;
 		break;
 	}
@@ -2234,7 +2234,7 @@ static int thin_map(struct dm_target *ti
 {
 	bio->bi_sector -= ti->begin;
 
-	return bio_map(ti, bio, map_context);
+	return thin_bio_map(ti, bio, map_context);
 }
 
 static void thin_postsuspend(struct dm_target *ti)
